FSCK.MINIX(8)

NOM
fsck.minix - Vérifier l'intégrité d'un système de fichiers MINIX

SYNOPSIS

fsck.minix [options] périphérique

DESCRIPTION

fsck.minix réalise un contrôle de cohérence d’un système de fichiers MINIX Linux.

Le programme part du principe que le système de fichiers est inactif. fsck.minix ne doit pas être utilisé sur un système de fichiers monté à moins que vous ne soyez certain que personne n’est en train d’y écrire. Souvenez-vous que le noyau peut y écrire lorsqu’il effectue des recherches de fichiers.

hLe nom de périphérique est habituellement de la forme suivante :
    /dev/hda[1-63] | disque IDE 1
    /dev/hdb[1-63] | disque IDE 2
    /dev/sda[1-15] | disque SCSI 1
    /dev/sdb[1-15] | disque SCSI 2

Si le système de fichiers a été modifié (par exemple réparé), alors fsck.minix affichera « FILE SYSTEM HAS BEEN CHANGED » (le système de fichiers a été modifié) et exécutera sync(2) trois fois avant de quitter. Il n’est pas nécessaire de redémarrer le système après la vérification.

AVERTISSEMENT

fsck.minix ne doit pas être utilisé sur un système de fichiers monté. L’utilisation de fsck.minix sur un système de fichiers monté est très dangereuse car il est possible que des fichiers effacés soient encore en cours d’utilisation, ce qui peut endommager sérieusement un système de fichiers en parfait état. Si vous devez absolument exécuter fsck.minix sur un système de fichiers monté (par exemple sur le système de fichiers racine), assurez-vous que rien ne va écrire sur le disque et qu’il n’y a pas de fichier « zombie » en attente d’effacement.

OPTIONS

-l, --list
    Afficher tous les systèmes de fichiers.

-r, --repair
    Effectuer les réparations en mode interactif.

-a, --auto
    Effectuer automatiquement les réparations. Cette option implique --repair et donne la réponse par défaut à toutes les questions. Notez que c’est très dangereux dans le cas d’un système de fichiers gravement endommagé.

-v, --verbose
    Sortie détaillée.

-s, --super
    Afficher les informations de superbloc.

-m, --uncleared
    Activer les avertissements « mode non réinitialisé » de type MINIX.

-f, --force
    Forcer la vérification d’un système de fichiers même s’il est marqué intègre. Cette indication est écrite par le noyau lors du démontage du système de fichiers.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher la version et quitter.

DIAGNOSTICS

Il y a de nombreux messages de diagnostic. Ceux qui sont mentionnés ici sont les plus couramment rencontrés lors d’une utilisation normale.

Si le périphérique n’existe pas, fsck.minix affichera « impossible de lire le superbloc ». Si le périphérique existe mais que le système de fichiers n’est pas de type MINIX, fsck.minix affichera « nombre magique corrompu dans le superbloc ».

CODE DE RETOUR

Le code de retour de fsck.minix est un des suivants :

0
    Pas d’erreur.

3
    Les erreurs du système de fichiers ont été corrigées, le système devrait être redémarré si le système de fichiers était monté.

4
    Il reste des erreurs non corrigées sur le système de fichiers.

7
    Combinaison des codes de retour 3 et 4.

8
    Erreur lors de l’opération.

16
    Erreur d’utilisation ou de syntaxe.

AUTEURS

Valeurs des codes de retour par Ajout de la gestion de l’attribut de validité du système de fichiers : Vérification afin d’éviter d’exécuter fsck sur un système de fichiers monté ajoutée par Gestion du système de fichiers MINIX v2 par mise à jour par Correctif de portabilité par

VOIR AUSSI

fsck(8), fsck.ext2(8), mkfs(8), mkfs.ext2(8), mkfs.minix(8), reboot(8)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande fsck.minix fait partie du paquet util-linux, elle est disponible sur